.news-list-container {
  column-gap: 2.5rem;
}

.news-list {
  display: grid;
  grid-template-columns: repeat(1, 1fr); /* Default to 1 column */
  list-style: none;
  margin: 1.25rem 0 1.25rem;
  padding 0;
  column-fill: balance;
  column-gap: 40px;
}

.news-list li {
  display: flex;
  flex-direction: column;
  margin: 0;
  padding: 0 0 1.25rem;
  column-fill: balance
}
@media (min-width: 480px) {
  .news-list-container .news-list {
    grid-template-columns: repeat(2, 1fr);
  }
}
@media (min-width: 1200px) {
  .news-list-container .news-list {
    grid-template-columns: repeat(3, 1fr);
  }
}